﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVCBlog.Core.Entities
{
	/// <summary>
	/// Represents a Tag.
	/// </summary>
	public partial class Tag
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="Tag"/> class.
		/// </summary>
		public Tag()
		{
			this.Id = Guid.NewGuid();
			this.Created = DateTime.Now;
		}

		/// <summary>
		/// Gets the count.
		/// </summary>
		public int Count
		{
			get
			{
				return this.BlogEntries.Count;
			}
		}
	}
}
