﻿using System;
using MVCBlog.Core.Entities;

namespace MVCBlog.Core.Service
{
    /// <summary>
	/// Interface for accessing <see cref="BlogEntryFile">BlogEntryFiles</see>.
    /// </summary>
	public interface IBlogEntryFileService : IGenericEntityService<BlogEntryFile>
    {
        /// <summary>
        /// Returns the <see cref="BlogEntryFile"/> with the given Id.
        /// </summary>
        /// <param name="id">The Id.</param>
        /// <returns>The <see cref="BlogEntryFile"/> with the given Id.</returns>
        BlogEntryFile GetById(Guid id);
    }
}
