﻿using MVCBlog.Core.Entities;

namespace MVCBlog.Core.Service
{
    /// <summary>
	/// Interface for accessing <see cref="Image">Images</see>.
    /// </summary>
	public interface IImageService : IGenericEntityService<Image>
    {
        /// <summary>
        /// Adds an <see cref="Image"/>.
        /// </summary>
        /// <param name="fileName">The filename.</param>
        /// <param name="file">The file.</param>
        void Add(string fileName, byte[] file);
    }
}
