using System.Net;
using System.Web.Mvc;

namespace MVCBlog.Website.Controllers
{
    /// <summary>
    /// Controller for handling errors.
    /// </summary>
    [Palmmedia.Common.Net.Mvc.HandleError]
    public partial class ErrorController : PingbackControllerBase
    {
        /// <summary>
        /// Shows a 404 error message.
        /// </summary>
        /// <returns>A view showing a 404 error message.</returns>
		public virtual ActionResult NotFound()
		{
            Response.StatusCode = (int)HttpStatusCode.NotFound;
			return View();
		}
    }
}
