﻿
namespace MVCBlog.Website.Models
{
    /// <summary>
    /// Model for a file download.
    /// </summary>
    public class Download
    {
        /// <summary>
        /// Gets or sets the name of the file.
        /// </summary>
        public string FileName { get; set; }

        /// <summary>
        /// Gets or sets the path.
        /// </summary>
        public string Path { get; set; }

        /// <summary>
        /// Gets or sets the size.
        /// </summary>
        public double Size { get; set; }

        /// <summary>
        /// Gets or sets the counter.
        /// </summary>
        public int Counter { get; set; }
    }
}
