<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<MVCBlog.Core.Entities.Image>>" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" runat="server">
    <form action="/<%= MVC.Blog.Name + "/" + MVC.Blog.Actions.ImageUpload %>" method="post"
    enctype="multipart/form-data">
    <fieldset>
        <legend><%= Html.Resource("Upload") %></legend>
        <p>
            <label for="file">
                <%= Html.Resource("Filename") %>:</label><br />
            <input type="file" name="file" id="file" />
            <input id="submitUpload" type="submit" value="<%= Html.Resource("Upload") %>" />
        </p>
    </fieldset>
    </form>
    
    <h1><%= Html.Resource("Images") %></h1>
    <% foreach (var image in this.Model)
       { %>
    <a class="lightbox" href="<%= ResolveUrl("~/" + image.RelativePath) %>" rel="screenshots"
        title="Bilder">
        <img class="picture" style="float: none;" src="<%= ResolveUrl("~/" + image.RelativePath) %>" alt="<%=Html.Encode(image.Name)%>"
            title="<%=Html.Encode(image.Name)%>" />
    </a>
    <% } %>
</asp:Content>
