﻿using System;

namespace MVCBlog.Core.Repository
{
    /// <summary>
    /// Interface for custom unit of work implementations.
    /// </summary>
    public interface IUnitOfWork : IDisposable
    {
        /// <summary>
        /// Commits the applied changes.
        /// </summary>
        void Commit();
    }
}
