﻿using System.Collections.Generic;
using MVCBlog.Core.Entities;

namespace MVCBlog.Website.Models
{
    /// <summary>
    /// Base class for <see cref="BlogEntry">BlogEntries</see>.
    /// Provides access to <see cref="Tag">Tags</see>.
    /// </summary>
    public abstract class BlogEntryBase
    {
        /// <summary>
        /// Gets or sets the tags.
        /// </summary>
        public IEnumerable<Tag> Tags { get; set; }
    }
}
